Subject: [hybi] deflate-frame extension in WebKit

From: Kenichi Ishibashi <[email-masked]>
Date: Tue, 6 Mar 2012 17:20:37 +0900

Hi,

I just want to let you know that we added deflate-frame extension to
WebKit[1]. The current implementation is based on the current draft[2] and
the extension name is "x-webkit-deflate-frame." Pywebsocket[3] can handle
the extension. Chrome canary will use the extension when it communicates
with pywebsocket server.

[1] http://trac.webkit.org/changeset/109538
[2]
http://tools.ietf.org/id/draft-tyoshino-hybi-websocket-perframe-deflate-05.txt
[3] http://code.google.com/p/pywebsocket/

I hope this contributes the discussion of per-frame compression extension.

Regards,